Page MenuHomeFreeBSD

devel/radare2: Update to 2.2.0
ClosedPublic

Authored by yuri on Dec 29 2017, 6:33 AM.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

yuri created this revision.Dec 29 2017, 6:33 AM
tcberner added inline comments.Dec 29 2017, 6:49 AM
devel/radare2/Makefile
8 ↗(On Diff #37175)

^ is the old maintainer ok with this?

yuri marked an inline comment as done.Dec 29 2017, 7:04 AM
yuri added inline comments.
devel/radare2/Makefile
8 ↗(On Diff #37175)

14-days maintainer timeout expired.

yuri marked 2 inline comments as done.Dec 29 2017, 5:35 PM
tcberner requested changes to this revision.Dec 29 2017, 9:34 PM

that does not mean you can steal the port.

see here: https://www.freebsd.org/portmgr/policies_contributors.html

Maintainer Reset

A maintainer who does not respond to any port issues for 3 months may be reset by any ports committer. If you are a committer and concerned about whether you are doing the right thing, please contact portmgr.

This period may be shortened by portmgr if the email address returns with a hard bounce. In this case, it is probably desirable to reset all the maintainer's ports and check the status of any PRs.

Two weeks let's you commit for them.

This revision now requires changes to proceed.Dec 29 2017, 9:34 PM
yuri added a comment.Dec 29 2017, 10:07 PM

that does not mean you can steal the port.

see here: https://www.freebsd.org/portmgr/policies_contributors.html

Maintainer Reset

A maintainer who does not respond to any port issues for 3 months may be reset by any ports committer. If you are a committer and concerned about whether you are doing the right thing, please contact portmgr.

This period may be shortened by portmgr if the email address returns with a hard bounce. In this case, it is probably desirable to reset all the maintainer's ports and check the status of any PRs.

Two weeks let's you commit for them.

Hmm, this must be a new rule. A while ago, Kubilay Kocak (koobs@) was explaining to me that if I would like the maintainership of some port, I just need to submit a patch changing that line, and it will be committed once maintainer's timeout of 2 weeks expires.

I am sure, nobody meant to steal the port.


Te previous maintainer currently has 2 ports. The second one is security/silktools.
Here are all bug records with him mentioned since Feb 2016:
`
224133 Ports & Packages Individual Port(s) yuri@freebsd.org In Progress --- [PATCH] [devel/radare2] Update to 2.1 22:26:21
222931 Ports & Packages Individual Port(s) rodrigo@FreeBSD.org Closed FIXED [PATCH] devel/radare2: update to 1.6.0 2017-11-21
222046 Ports & Packages Individual Port(s) antoine@FreeBSD.org Closed FIXED security/silktools : update to 3.16.0 2017-09-22
221347 Ports & Packages Individual Port(s) freebsd-ports-bugs@FreeBSD.org Closed FIXED devel/radare2: fail to build 2017-09-21
219904 Ports & Packages Individual Port(s) antoine@FreeBSD.org Closed FIXED security/silktools : update to 3.15.0 2017-06-24
213543 Ports & Packages Individual Port(s) antoine@FreeBSD.org Closed FIXED security/silktools fails to package when default versions includes python=3.5 2016-11-11
213278 Ports & Packages Individual Port(s) jhale@FreeBSD.org Closed FIXED devel/radare2: Update to 1.0.2 2016-12-09
206942 Ports & Packages Individual Port(s) pi@FreeBSD.org Closed FIXED devel/radare2: Use capstone from ports 2016-07-10
206793 Ports & Packages Individual Port(s) pi@FreeBSD.org Closed FIXED devel/radare2: Update to 0.10.0 2016-02-03
206021 Ports & Packages Individual Port(s) robak@freebsd.org Closed FIXED devel/radare2: Take MAINTAINER'ship 2016-01-08
`

He never answered any requests since he took maintanership in 2016-01-08. This is for 22 months now.

mat added a comment.Dec 29 2017, 10:40 PM

@tcberner the maintainer reset procedure is for any committer who notices that a maintainer has multiple timeouts, or is AWOL, that committer can then reset to ports@ the commit bit.

This patch has nothing to do with resetting the maintainership, it changes it, and as any patch, can be committed after 14 days timeout.

In D13674#286020, @mat wrote:

@tcberner the maintainer reset procedure is for any committer who notices that a maintainer has multiple timeouts, or is AWOL, that committer can then reset to ports@ the commit bit.

This patch has nothing to do with resetting the maintainership, it changes it, and as any patch, can be committed after 14 days timeout.

Ah sorry -- so the reset is for all the ports maintained by foo?; In that case, let me look at the changes :)

tcberner added inline comments.Dec 29 2017, 10:59 PM
devel/radare2/Makefile
14 ↗(On Diff #37175)

^USES=pkgconfig should already cover this

15 ↗(On Diff #37175)

^ why +=

20 ↗(On Diff #37175)

^ why +=

35 ↗(On Diff #37175)

^ maybe USES=localbase would suffice?

yuri marked 4 inline comments as done.Dec 29 2017, 11:26 PM
yuri added inline comments.
devel/radare2/Makefile
14 ↗(On Diff #37175)

This was a leftover. I didn't mean to also clean the port up.

But now I will update these items anyways. :-)

yuri updated this revision to Diff 37207.Dec 29 2017, 11:26 PM
yuri marked an inline comment as done.

.

tcberner accepted this revision.Dec 30 2017, 7:14 PM
This revision is now accepted and ready to land.Dec 30 2017, 7:14 PM
Closed by commit rP457635: devel/radare2: Update to 2.2.0 (authored by yuri, committed by ). · Explain WhyDec 30 2017, 7:51 PM
This revision was automatically updated to reflect the committed changes.